function [prcont,condexp] = contprob(transition,rho)

% INPUTS:   - transition parameters 
%           - exit strategy rho (cut-off values) (xmax x 1)
% OUPUTS:   - prcont: prob of continuation at every state (xmax x 1)
%           - conditional expectation of sell-off value
%             conditional on exiting (xmax x 1)
%           
% Sell-off values are i.i.d. exponential r.v.'s with mean K.


% Rename parameters to be used in this function
% to simplify notation
K=transition.K;

prcont=1-exp(-rho/K);          % prob. continuation = prob. realization of phi less than rho.
condexp=K+rho;                 % conditional expectation sell-off value,
                               % conditional on exiting 
                               % take this form for EXPONENTIALdistr.