function [conttranmat] = conttranprob(prcont,tranmat,xmax)

% INPUTS:   - prcont: prob of continuation at every state (xmax x 1)
%           - matrix of transition probabilities tranmat (xmax x xmax)
%           - xmax
% OUPUTS:   - contranmat(x,y)= prob. of continuing in the industry in state
%             x and transit to state y (xmax x xmax)

Prcont=repmat(prcont,1,xmax);         % builds matrix of cont probs.
conttranmat=sparse(Prcont.*tranmat);  % matrix of probs. of continuiung and transition

