function [s,num_entr]=sample_constentr(lambda,Prob,p,xmax)

% INPUTS:   - entry rate lambda
%           - matrix Prob: row i-th (xmax x 1) is a vector with probs. of 
%             being in each state after i periods in the industry
%           - p: prob. to randomize number of entrants if lambda
%             non-integer
%           - xmax 
% OUTPUT:   - random vector s distributed according to invariant distr.
%             of competitors' state when fixed number of entrants (xmax x 1)
%           - num_entr: number of entrants

s=zeros(xmax,1);
for k=1:size(Prob,1)
    prob_t=Prob(k,:);
    a=rand;
    if(a<=p)
        num_entr=floor(lambda);
    else
        num_entr=ceil(lambda);
    end
    a=rand(num_entr,1);
    count=(0 <=a & a <=prob_t(1));
    s(1)=s(1)+sum(count);
    prob_acum=prob_t(1);
    for j=2:xmax
        count=(prob_acum< a & a <= (prob_acum+prob_t(j) ));
        s(j)=s(j)+sum(count);
        prob_acum=prob_acum+prob_t(j);
    end   
end
