function s=sample_fix_n(sta_distr,xmax,num_firms)

% INPUTS:   - invariant distribution of evolution of one firm sta_distr
%             (xmax x 1)
%           - xmax
%           - number of competitors num_firms
% OUTPUT:   - random vector s sampled from invariant distr. of competitors'
%             state (xmax x 1)


a=rand(num_firms,1);
count=(0<=a & a <=sta_distr(1));
s(1)=sum(count);
sta_distr_cum=sta_distr(1);
for j=2:xmax
  count=(sta_distr_cum< a & a <=(sta_distr_cum+sta_distr(j)) );
  s(j)=sum(count);
  sta_distr_cum=sta_distr_cum+sta_distr(j);
end   
s=transpose(s);
